"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getHorizontalSpacing = exports.getHorizontalMargins = void 0;

var _pick = _interopRequireDefault(require("ramda/src/pick"));

var _pipe = _interopRequireDefault(require("ramda/src/pipe"));

var _sum = _interopRequireDefault(require("ramda/src/sum"));

var _map = _interopRequireDefault(require("ramda/src/map"));

var _values = _interopRequireDefault(require("ramda/src/values"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const hmarginFields = ['marginLeft', 'marginRight'];
const hspacingFields = ['borderLeftWidth', 'borderRightWidth', 'paddingLeft', 'paddingRight', ...hmarginFields];

function toNumber(value) {
  if (typeof value === 'number') {
    return value;
  }

  return 0;
}

const getHorizontalMargins = (0, _pipe.default)((0, _pick.default)(hmarginFields), _values.default, (0, _map.default)(toNumber), _sum.default);
exports.getHorizontalMargins = getHorizontalMargins;
const getHorizontalSpacing = (0, _pipe.default)((0, _pick.default)(hspacingFields), _values.default, (0, _map.default)(toNumber), _sum.default);
exports.getHorizontalSpacing = getHorizontalSpacing;
//# sourceMappingURL=measure.js.map